﻿# przelacz sie na wlasciwa baze danych poleceniem 'use moja-baza-danych'

DROP TABLE IF EXISTS pracownicy;
DROP TABLE IF EXISTS miasta;

CREATE TABLE pracownicy (
id        INT         NOT NULL PRIMARY KEY,
imie      VARCHAR(20) NOT NULL,
nazwisko  VARCHAR(30) NOT NULL,
zarobki   FLOAT(6,2)  NOT NULL,
data_ur   DATE,
miasto_id INT
) ENGINE=InnoDB DEFAULT CHARACTER SET = utf8 COLLATE = utf8_bin;

CREATE TABLE miasta (
miasto_id INT         NOT NULL PRIMARY KEY,
nazwa     VARCHAR(40) NOT NULL
) ENGINE=InnoDB DEFAULT CHARACTER SET = utf8 COLLATE = utf8_bin;

ALTER TABLE pracownicy ADD CONSTRAINT prac_miasta_fk 
FOREIGN KEY (miasto_id) REFERENCES miasta (miasto_id);

INSERT INTO miasta VALUES 
  (1, 'Zielona Góra'),
  (2, 'Wrocław'),
  (3, 'Poznań'),
  (4, 'Kraków'),
  (5, 'Warszawa');

INSERT INTO pracownicy VALUES 
  (1, 'Artur', 'Gramacki', 1000, '1999-01-01', 1),
  (2, 'ąęśćżźńół', 'ĄĘŚĆŻŹŃÓŁ', 9999, '2015-11-04', 2);
  

